/**
 * OW2 Util
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IProtocol.java 5683 2010-11-14 14:40:09Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.util.protocol.api;

import java.util.Map;

/**
 *
 * @author Loris Bouzonnet
 */
public interface IProtocol {

	ProtocolConfig createConfig(String url, Map<String, String> context) throws ProtocolException;

    IProtocolSession createSession(ProtocolConfig config) throws ProtocolException;

}
